From acd3e026eda2d88c21e03188f447d9aa32bf1dc6 Mon Sep 17 00:00:00 2001
From: Emmanuele Bassi <ebassi@gnome.org>
Date: Thu, 19 Jul 2018 13:56:46 +0100
Subject: [PATCH] Remove additional unnecessary GDestroyNotify casts

See https://gitlab.gnome.org/GNOME/gnome-online-accounts/merge_requests/8
---

diff --git a/src/goaidentity/goaidentityservice.c b/src/goaidentity/goaidentityservice.c
index 89307c0e..50428392 100644
--- a/src/goaidentity/goaidentityservice.c
+++ b/src/goaidentity/goaidentityservice.c
@@ -685,12 +685,9 @@ goa_identity_service_finalize (GObject *object)
 
   g_clear_object (&self->priv->identity_manager);
   g_clear_object (&self->priv->object_manager_server);
-  g_clear_pointer (&self->priv->watched_client_connections,
-                   (GDestroyNotify) g_hash_table_unref);
-  g_clear_pointer (&self->priv->key_holders,
-                   (GDestroyNotify) g_hash_table_unref);
-  g_clear_pointer (&self->priv->pending_temporary_account_results,
-                   (GDestroyNotify) g_hash_table_unref);
+  g_clear_pointer (&self->priv->watched_client_connections, g_hash_table_unref);
+  g_clear_pointer (&self->priv->key_holders, g_hash_table_unref);
+  g_clear_pointer (&self->priv->pending_temporary_account_results, g_hash_table_unref);
 
   G_OBJECT_CLASS (goa_identity_service_parent_class)->finalize (object);
 }
-- 
2.17.0

